在安装appium 时,执行appium -v版本可以成功,但是执行appium -doctor 报appium.js: error: Unrecognized arguments: -docttor

需要执行 npm install -g appium-doctor 在网上查了很久 好像是因为appium的最新版本,找不到appium\node_modules\.bin这个路径,所以需要安装appium-doctor.前提是你的appium 的路径要加入到环境变量的path中去.

我使用这个命令的时候,还是报错,说我的文件已经存在的,报error 

我找到自己appium安装路径下,果然有一个,然后我删除掉,重新执行安装命令.

然后在执行appium-doctor 就成功了

总结1.检查appium 的安装路径是否添加到path 下 

2.是否安装了appium-doctor 

已标记关键词 清除标记
相关推荐
©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页